org.modeshape.jcr.federation.spi

## Interface DocumentChanges.ParentChanges

- All Known Implementing Classes:
    FederatedDocumentChanges.FederatedParentChanges
  Enclosing interface:
    DocumentChanges

      public static interface DocumentChanges.ParentChanges

  Interface which encapsulates the changes to a document's parents during an update operation.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getAdded()` Returns a set of the ids of the parents that have been added.
    `String` | `getNewPrimaryParent()` Returns the id of the new primary parent if there is a new primary parent.
    `Set<String>` | `getRemoved()` Returns a set of the ids of the parents that have been removed.
    `boolean` | `hasNewPrimaryParent()` Checks if there is a new primary parent.
    `boolean` | `isEmpty()` Checks if there are any changes to the parent (appended/removed/primary parent changed)

- - ### Method Detail

    - #### isEmpty

          boolean isEmpty()

      Checks if there are any changes to the parent (appended/removed/primary parent changed)
      Returns:
        `true` if there aren't any changes, `false` otherwise

    - #### hasNewPrimaryParent

          boolean hasNewPrimaryParent()

      Checks if there is a new primary parent.
      Returns:
        `true` if there is a new primary parent, or `false` otherwise

    - #### getAdded

          Set<String> getAdded()

      Returns a set of the ids of the parents that have been added.
      Returns:
        a set containing the identifiers of the nodes that are now longer considered parents of this node; never null

    - #### getRemoved

          Set<String> getRemoved()

      Returns a set of the ids of the parents that have been removed.
      Returns:
        a set containing the identifiers of the nodes that are no longer considered parents of this node; never null

    - #### getNewPrimaryParent

          String getNewPrimaryParent()

      Returns the id of the new primary parent if there is a new primary parent.
      Returns:
        either the id of the new primary parent, or `null`.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.